Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		stlport4
Version:	4.6.2
Release:	2
License:	distributable
Group:		System/Libraries
URL:		http://www.stlport.org/
Summary:	C++ standard library
Source0:	STLport-%{version}.tar.gz
Source1:	stlport4.conf
Patch0:		STLport-nodebug.patch
Patch1:		STLport-soname.patch
Patch2:		STLport-gcc34.patch
Patch3:		STLport-4.5.3-gcc3stdexcept.patch
Patch4:		STLport-4.5.3-extra-cxxflags.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libstdc++-devel
Provides:	%{name}

%description
STLport is a multiplatform implementation of C++ Standard Template
Library based on SGI STL. This package contains the 4.x branch of
STLport. 

%package devel
Summary:	STLport4 header files, documentation
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for STLport4.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -n STLport-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} -C src -f gcc.mak \
	CXXFLAGS="-Os -march=i686 -pipe -fomit-frame-pointer" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src -f gcc.mak install INSTALLDIR=$RPM_BUILD_ROOT%_libdir/stlport4 INSTALLDIR_INC=$RPM_BUILD_ROOT%_libdir/stlport4/stlport

mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d/
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/ld.so.conf.d/

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %_libdir/stlport4/lib
%_sysconfdir

%files devel
%defattr(644,root,root,755)
%doc doc/{images,README.gcc.html,[a-z]*.html}
%attr(755,root,root) %_libdir/stlport4/stlport

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-2
- added path entry
* Wed Jun 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-1
- Initial Release
